%global pypi_name django-prometheus
%global module_name django_prometheus
%global commitId e4611129c5dd9716e1ff420b1ae81f9ed2df27f2

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       2.3.1
Release:       1%{?dist}
Summary:       Django middlewares to monitor your application with Prometheus.io.

License:       Apache-2.0
URL:           https://github.com/korfuri/django-prometheus
Source0:       python-django-prometheus-e4611129c5dd9716e1ff420b1ae81f9ed2df27f2.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-rpm-macros
# BuildRequires: python%{python3_pkgversion}-setuptools >= 67.7.2
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-wheel >= 0.40.0

%global _description %{expand:
Export Django monitoring metrics for Prometheus.io}

%description
%{_description}

%package -n    python%{python3_pkgversion}-%{pypi_name}
Summary:       %{summary}

Requires:      python%{python3_pkgversion}-prometheus-client >= 0.7

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip config set global.index https://repository.engineering.redhat.com/nexus/repository/pypi.org/pypi
%{__python3} -m pip config set global.index_url https://repository.engineering.redhat.com/nexus/repository/pypi.org/simple
%{__python3} -m pip config set global.trusted-host repository.engineering.redhat.com
%{__python3} -m pip install setuptools==67.7.2

%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jul 26 2023 Satoe Imaishi <simaishi@redhat.com> - 2.3.1-1
- Update to 2.3.1

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 2.1.0-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 2.1.0-2
- Build against Python 3.8

* Tue Aug 25 2020 Evgeni Golov 2.1.0-1
- Update to 2.1.0

* Fri Jul 17 2020 Evgeni Golov - 2.0.0-1
- Initial package.
